Package com.xebialabs.xlrelease.serialization.json.jackson

# Class DomainIdDeserializer

java.lang.Object
com.fasterxml.jackson.databind.JsonDeserializer<String>
com.xebialabs.xlrelease.serialization.json.jackson.DomainIdDeserializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.NullValueProvider`, `DomainIdSerialization`

public class DomainIdDeserializer extends com.fasterxml.jackson.databind.JsonDeserializer<String> implements DomainIdSerialization

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `com.fasterxml.jackson.databind.JsonDeserializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainIdDeserializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.xlrelease.serialization.json.jackson.DomainIdSerialization

  `toInternalId, toViewId`

- ## Constructor Details

  - ### DomainIdDeserializer

    public DomainIdDeserializer()

- ## Method Details

  - ### deserialize

    public String deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext ctxt) throws IOException
    Specified by:
      `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<String>`
    Throws:
      `IOException`